unit uBizGruposEmpleado;

interface

uses
  uDAInterfaces, uDADataTable, schContactosClient_Intf;

const
  BIZ_CLIENT_GRUPOSEMPLEADO = 'Client.GrupoEmpleado';

type
  IBizGrupoEmpleado = interface(IGruposEmpleado)
    ['{0952BCC8-09B6-4D09-9B5E-26853E159B79}']
  end;

  TBizGrupoEmpleado = class(TGruposEmpleadoDataTableRules, IBizGrupoEmpleado)
  protected
    procedure AfterOpen(Sender: TDADataTable); override;
  end;

implementation

{ TBizGrupoEmpleado }

procedure TBizGrupoEmpleado.AfterOpen(Sender: TDADataTable);
begin
  inherited;
  DataTable.Sort([fld_GruposEmpleadoDESCRIPCION], [sdAscending]);
end;

initialization
  RegisterDataTableRules(BIZ_CLIENT_GRUPOSEMPLEADO, TBizGrupoEmpleado);

finalization

end.

